## org.omg.DynamicAny
Class NameValuePairHelper

    java.lang.Object
      |
      +--org.omg.DynamicAny.NameValuePairHelper

public class NameValuePairHelper
extends java.lang.Object

Helper class for : NameValuePair

Author:
  OpenORB Compiler

Constructor Summary
`NameValuePairHelper()`

Method Summary
`static NameValuePair` `extract(Any a)` Extract NameValuePair from an any
`static java.lang.String` `id()` Return the NameValuePair IDL ID
`static void` `insert(Any a, NameValuePair t)` Insert NameValuePair into an any
`static NameValuePair` `read(InputStream istream)` Read NameValuePair from a marshalled stream
`static TypeCode` `type()` Return the NameValuePair TypeCode
`static void` `write(OutputStream ostream, NameValuePair value)` Write NameValuePair into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NameValuePairHelper

    public NameValuePairHelper()

Method Detail

### insert

    public static void insert(Any a,
                              NameValuePair t)

  Insert NameValuePair into an any
  Parameters:
    `a` - an any
    `t` - NameValuePair value

### extract

    public static NameValuePair extract(Any a)

  Extract NameValuePair from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted NameValuePair value

### type

    public static TypeCode type()

  Return the NameValuePair TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the NameValuePair IDL ID
  Returns:
    an ID

### read

    public static NameValuePair read(InputStream istream)

  Read NameValuePair from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed NameValuePair value

### write

    public static void write(OutputStream ostream,
                             NameValuePair value)

  Write NameValuePair into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - NameValuePair value